//
//  Utils.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <AudioToolbox/AudioServices.h>
NS_ASSUME_NONNULL_BEGIN

/**
 *  @brief      This file contains various utility methods that handle common operations like showing alerts, validating inputs, converting hex strings to NSData, and performing basic validation checks.
 */
@interface Utils : UIViewController

+(UIAlertController*) getLoadingAlert:(NSString*) title message:(NSString*)message;
+(void)showAlert:(NSString*) title message:(NSString*)message view:(UIViewController*)view;
+ (BOOL)checkNumberTextLength:(NSString *)str maxNumber:(int)max minNumber:(int)min;
+ (NSData *)convertHexStrToData:(NSString *)str;
+ (BOOL)isCorrectWriteData:(NSString *)data;
@end

NS_ASSUME_NONNULL_END
