//
//  BLESleepTimeViewController.m
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import "BLESleepTimeViewController.h"
#import <AsReaderDockSDK/AsReaderDockSDK.h>
#import "Utils.h"
@interface BLESleepTimeViewController ()<UITextFieldDelegate, AsReaderDeviceDelegate>
{
    
}


@property(weak, nonatomic) IBOutlet UITextField *textFieldSleepTime;
@end

@implementation BLESleepTimeViewController

-(void) viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    self.navigationController.title = @"Sleep Time";
    [AsReaderCommonDevice sharedInstance].delegateDevice = self;
    [[AsReaderCommonDevice sharedInstance] getSleepTimeForBLEDevice];
    
}
- (IBAction)btnSetSleepTime:(id)sender
{
    int time = [[_textFieldSleepTime text]intValue];
    [[AsReaderCommonDevice sharedInstance] setSleepTimeForBLEDevice:time type:SaveType_Permanet];
}


- (IBAction)btnGetSleepTime:(id)sender
{
    [[AsReaderCommonDevice sharedInstance] getSleepTimeForBLEDevice];
}


- (void)receivedSleepTime:(int)time isAck:(BOOL)isAck{
    dispatch_async(dispatch_get_main_queue(), ^{
        self->_textFieldSleepTime.text = [NSString stringWithFormat:@"%d",time];
        
        if(isAck){
            [Utils showAlert:@"" message:@"Sleep Time change completed" view:self];
        }
    });
}

- (void)plugged:(BOOL)plug { 
    
}


- (void)readerConnected:(int)status { 
    
}

- (void)encodeWithCoder:(nonnull NSCoder *)coder { 
    
}

- (void)traitCollectionDidChange:(nullable UITraitCollection *)previousTraitCollection { 
    
}

- (void)preferredContentSizeDidChangeForChildContentContainer:(nonnull id<UIContentContainer>)container { 
    
}

- (CGSize)sizeForChildContentContainer:(nonnull id<UIContentContainer>)container withParentContainerSize:(CGSize)parentSize { 
    return [super sizeForChildContentContainer:container withParentContainerSize:parentSize];
}

- (void)systemLayoutFittingSizeDidChangeForChildContentContainer:(nonnull id<UIContentContainer>)container { 
    
}

- (void)viewWillTransitionToSize:(CGSize)size withTransitionCoordinator:(nonnull id<UIViewControllerTransitionCoordinator>)coordinator { 
    
}

- (void)willTransitionToTraitCollection:(nonnull UITraitCollection *)newCollection withTransitionCoordinator:(nonnull id<UIViewControllerTransitionCoordinator>)coordinator { 
    
}

- (void)didUpdateFocusInContext:(nonnull UIFocusUpdateContext *)context withAnimationCoordinator:(nonnull UIFocusAnimationCoordinator *)coordinator { 
    
}

- (void)setNeedsFocusUpdate { 
    
}

- (BOOL)shouldUpdateFocusInContext:(nonnull UIFocusUpdateContext *)context { 
    return [super shouldUpdateFocusInContext:context];
}

- (void)updateFocusIfNeeded { 
    
}

@end
