//
//  TagAccessController.m
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import "TagAccessController.h"
#import "AsUtils.h"
#import "ModelSettings.h"
#import "GlobalDefine.h"
#import <AsReaderDockSDK/AsReaderDockSDK.h>

@interface TagAccessController()
@property (weak, nonatomic) IBOutlet UITextView *olDataView;
@end

@implementation TagAccessController

#pragma mark - Lifecycle
//----------------------------------------------------------------
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    ModelSettings *model = [ModelSettings sharedInstance];
    NSDictionary *dic = [model.m_arReadTagData objectAtIndex:model.m_nSelectTagNum];
    
    NSString *strDeviceType = @"";
    NSInteger deviceMode = [[dic objectForKey:df_CELL_TAG_DEVICE_MODE] integerValue];
    
    switch (deviceMode) {
        case ReaderModeBarcode:
            strDeviceType = @"BARCODE";
            break;
            
        case ReaderModeRfid:
            strDeviceType = @"RFID UHF";
            break;
            
        case ReaderModeNfc:
            strDeviceType = @"NFC";
            break;
            
        case ReaderModeLf:
            strDeviceType = @"RFID LF";
            break;
            
        case ReaderModeDualBarcodeRfid:
            strDeviceType = @"Dual";
            break;
        default:
            strDeviceType = @"UNKNOW";
            break;
    }
    
    NSData *rawData  = [dic objectForKey:df_CELL_TAG_RAW];
    NSString *strRaw = [rawData bytesToHexString];
    NSString *strData = [NSString stringWithFormat:@"DevideType : %@ \nData : %@  \nRAW DATA : %@ \nRead Count %@" ,strDeviceType ,[dic objectForKey:df_CELL_TAG_INFO] ,strRaw ,[dic objectForKey:df_CELL_TAG_COUNT]];
    
    self.olDataView.text = strData;
}

@end
